head	1.3;
access;
symbols
	RELENG_8_4:1.3.0.2
	RELENG_9_1_0_RELEASE:1.2.2.1
	RELENG_9_1:1.2.2.1.0.2
	RELENG_9_1_BP:1.2.2.1
	RELENG_8_3_0_RELEASE:1.1.1.1.24.1
	RELENG_8_3:1.1.1.1.24.1.0.2
	RELENG_8_3_BP:1.1.1.1.24.1
	RELENG_9_0_0_RELEASE:1.2
	RELENG_9_0:1.2.0.4
	RELENG_9_0_BP:1.2
	RELENG_9:1.2.0.2
	RELENG_9_BP:1.2
	RELENG_7_4_0_RELEASE:1.1.1.1
	RELENG_8_2_0_RELEASE:1.1.1.1
	RELENG_7_4:1.1.1.1.0.34
	RELENG_7_4_BP:1.1.1.1
	RELENG_8_2:1.1.1.1.0.32
	RELENG_8_2_BP:1.1.1.1
	RELENG_8_1_0_RELEASE:1.1.1.1
	RELENG_8_1:1.1.1.1.0.30
	RELENG_8_1_BP:1.1.1.1
	RELENG_7_3_0_RELEASE:1.1.1.1
	RELENG_7_3:1.1.1.1.0.28
	RELENG_7_3_BP:1.1.1.1
	RELENG_8_0_0_RELEASE:1.1.1.1
	RELENG_8_0:1.1.1.1.0.26
	RELENG_8_0_BP:1.1.1.1
	RELENG_8:1.1.1.1.0.24
	RELENG_8_BP:1.1.1.1
	RELENG_7_2_0_RELEASE:1.1.1.1
	RELENG_7_2:1.1.1.1.0.22
	RELENG_7_2_BP:1.1.1.1
	RELENG_7_1_0_RELEASE:1.1.1.1
	RELENG_6_4_0_RELEASE:1.1.1.1
	RELENG_7_1:1.1.1.1.0.20
	RELENG_7_1_BP:1.1.1.1
	RELENG_6_4:1.1.1.1.0.18
	RELENG_6_4_BP:1.1.1.1
	RELENG_7_0_0_RELEASE:1.1.1.1
	RELENG_6_3_0_RELEASE:1.1.1.1
	RELENG_7_0:1.1.1.1.0.16
	RELENG_7_0_BP:1.1.1.1
	BIND_9_4_2:1.1.1.1
	RELENG_6_3:1.1.1.1.0.14
	RELENG_6_3_BP:1.1.1.1
	RELENG_7:1.1.1.1.0.12
	RELENG_7_BP:1.1.1.1
	BIND_9_4_1_P1:1.1.1.1
	BIND_9_4_1:1.1.1.1
	BIND_9_3_4:1.1.1.1
	RELENG_6_2_0_RELEASE:1.1.1.1
	BIND_9_3_3:1.1.1.1
	RELENG_6_2:1.1.1.1.0.10
	RELENG_6_2_BP:1.1.1.1
	RELENG_5_5_0_RELEASE:1.1.1.1.2.1
	RELENG_5_5:1.1.1.1.2.1.0.6
	RELENG_5_5_BP:1.1.1.1.2.1
	RELENG_6_1_0_RELEASE:1.1.1.1
	RELENG_6_1:1.1.1.1.0.8
	RELENG_6_1_BP:1.1.1.1
	BIND_9_3_2:1.1.1.1
	RELENG_6_0_0_RELEASE:1.1.1.1
	RELENG_6_0:1.1.1.1.0.6
	RELENG_6_0_BP:1.1.1.1
	RELENG_6:1.1.1.1.0.4
	RELENG_6_BP:1.1.1.1
	RELENG_5_4_0_RELEASE:1.1.1.1.2.1
	RELENG_5_4:1.1.1.1.2.1.0.4
	RELENG_5_4_BP:1.1.1.1.2.1
	BIND_9_3_1:1.1.1.1
	RELENG_5_3_0_RELEASE:1.1.1.1.2.1
	RELENG_5_3:1.1.1.1.2.1.0.2
	RELENG_5_3_BP:1.1.1.1.2.1
	RELENG_5:1.1.1.1.0.2
	BIND_9_3_0:1.1.1.1
	BIND_9_3_0_RC4:1.1.1.1
	ISC:1.1.1;
locks; strict;
comment	@# @;


1.3
date	2012.04.05.04.29.35;	author dougb;	state Exp;
branches
	1.3.2.1;
next	1.2;

1.2
date	2011.05.28.00.21.28;	author dougb;	state Exp;
branches
	1.2.2.1;
next	1.1;

1.1
date	2004.09.19.01.30.03;	author trhodes;	state Exp;
branches
	1.1.1.1;
next	;

1.3.2.1
date	2012.04.05.04.29.35;	author svnexp;	state dead;
branches;
next	1.3.2.2;

1.3.2.2
date	2013.03.28.13.00.18;	author svnexp;	state Exp;
branches;
next	;

1.2.2.1
date	2012.04.08.01.43.41;	author dougb;	state Exp;
branches;
next	1.2.2.2;

1.2.2.2
date	2013.08.26.08.01.48;	author svnexp;	state Exp;
branches;
next	;

1.1.1.1
date	2004.09.19.01.30.03;	author trhodes;	state Exp;
branches
	1.1.1.1.2.1
	1.1.1.1.12.1
	1.1.1.1.24.1;
next	;

1.1.1.1.2.1
date	2004.09.26.03.09.31;	author des;	state Exp;
branches;
next	;

1.1.1.1.12.1
date	2011.05.28.00.58.19;	author dougb;	state Exp;
branches;
next	;

1.1.1.1.24.1
date	2011.05.28.00.33.06;	author dougb;	state Exp;
branches;
next	1.1.1.1.24.2;

1.1.1.1.24.2
date	2012.04.05.04.31.17;	author dougb;	state Exp;
branches;
next	;


desc
@@


1.3
log
@SVN rev 233914 on 2012-04-05 04:29:35Z by dougb

Update to version 9.8.2, the latest from ISC, which contains numerous bug fixes.
@
text
@#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

# $Id$

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        mkdir "$pathcomp" || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here
@


1.3.2.1
log
@file mkinstalldirs was added on branch RELENG_8_4 on 2013-03-28 13:00:18 +0000
@
text
@d1 40
@


1.3.2.2
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/248810
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@a0 40
#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

# $Id$

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        mkdir "$pathcomp" || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here
@


1.2
log
@SVN rev 222395 on 2011-05-28 00:21:28Z by dougb

Upgrade to 9.6-ESV-R4-P1, which address the following issues:

1. Very large RRSIG RRsets included in a negative cache can trigger
an assertion failure that will crash named (BIND 9 DNS) due to an
off-by-one error in a buffer size check.

This bug affects all resolving name servers, whether DNSSEC validation
is enabled or not, on all BIND versions prior to today. There is a
possibility of malicious exploitation of this bug by remote users.

2. Named could fail to validate zones listed in a DLV that validated
insecure without using DLV and had DS records in the parent zone.

Add a patch provided by ru@@ and confirmed by ISC to fix a crash at
shutdown time when a SIG(0) key is being used.
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1 2000-09-20 19:05:51 gson Exp $
@


1.2.2.1
log
@SVN rev 234010 on 2012-04-08 01:43:41Z by dougb

MFC r233909:

Add Bv9ARM.pdf to the list of docs to install.

MFV/MFC r233914:

Update to version 9.8.2, the latest from ISC, which contains numerous bug fixes.
@
text
@d7 1
a7 1
# $Id$
@


1.2.2.2
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/254897
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1 2000/09/20 19:05:51 gson Exp $
@


1.1
log
@Initial revision
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1 2000/09/20 19:05:51 gson Exp $
@


1.1.1.1
log
@Vender import of BIND 9.3.0rc4.
@
text
@@


1.1.1.1.12.1
log
@SVN rev 222399 on 2011-05-28 00:58:19Z by dougb

Upgrade to 9.4-ESV-R4-P1, which addresses the following issues:

1. Very large RRSIG RRsets included in a negative cache can trigger
an assertion failure that will crash named (BIND 9 DNS) due to an
off-by-one error in a buffer size check.

This bug affects all resolving name servers, whether DNSSEC validation
is enabled or not, on all BIND versions prior to today. There is a
possibility of malicious exploitation of this bug by remote users.

2. Named could fail to validate zones listed in a DLV that validated
insecure without using DLV and had DS records in the parent zone.
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1 2000-09-20 19:05:51 gson Exp $
@


1.1.1.1.24.1
log
@SVN rev 222396 on 2011-05-28 00:33:06Z by dougb

Upgrade to 9.6-ESV-R4-P1, which address the following issues:

1. Very large RRSIG RRsets included in a negative cache can trigger
an assertion failure that will crash named (BIND 9 DNS) due to an
off-by-one error in a buffer size check.

This bug affects all resolving name servers, whether DNSSEC validation
is enabled or not, on all BIND versions prior to today. There is a
possibility of malicious exploitation of this bug by remote users.

2. Named could fail to validate zones listed in a DLV that validated
insecure without using DLV and had DS records in the parent zone.

Add a patch provided by ru@@ and confirmed by ISC to fix a crash at
shutdown time when a SIG(0) key is being used.
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1 2000-09-20 19:05:51 gson Exp $
@


1.1.1.1.24.2
log
@SVN rev 233915 on 2012-04-05 04:31:17Z by dougb

Update to version 9.6-ESV-R6, the latest from ISC, which contains numerous
bug fixes.
@
text
@d7 1
a7 1
# $Id$
@


1.1.1.1.2.1
log
@MFC: BIND 9 and related bits.

Approved by:	re
@
text
@@

